#ifndef	_CONVERTER_H_
#define	_CONVERTER_H_

class CDXFtoX
{
private:
	IDirect3DRM				*m_d3drm;
	IDirect3DRMMeshBuilder	*m_meshbuilder;

	BOOL					m_reverse;

public:
	CDXFtoX();
	~CDXFtoX();

private:
	BOOL
	LoadDXF(LPCTSTR filename);

public:
	BOOL
	Init(void);

	void
	SetReverse(BOOL tf);

	BOOL
	Load(LPCTSTR filename);

	BOOL
	SaveX(LPCTSTR filename);

	inline IDirect3DRMMeshBuilder*
	GetMeshBuilder(void)
	{
		return m_meshbuilder;
	};
};

#endif
